UiPath Documentation
automation-cloud
latest
false
Automation Cloud-API-Handbuch

Ein bestimmtes Roboterkonto löschen

DELETE-Endpunkt zum Entfernen eines bestimmten Roboterkontos aus einer Organisation anhand von Organisation und Roboterkonto-ID.

Löscht das angegebene Roboterkonto in einer Organisation basierend auf der Organisations- und Roboterkonten-ID.

API-Endpunkt​

DELETE {accessURL}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}/{robotAccountId}

Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:

Cloud PlatformZugriffs-URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud – Öffentlicher Sektorhttps://govcloud.uipath.us/
Automatisierung – cloudgeeignethttps://{customURL}.dedicated.uipath.com/

Scopes​

Folgende Scopes sind erforderlich:

  • PM.RobotAccount
  • PM.RobotAccount.Write

Anforderungsheader​

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Hinweis:

Um das {access_token} zu erhalten, müssen Sie sich mit einer der hier beschriebenen Methoden authentifizieren.

Pfadparameter​

PfadparameterDatentypBeschreibung
partitionGlobalId (erforderlich)StringDie ID der Organisation, aus der Sie die Roboterkonten löschen möchten.
robotAccountId (erforderlich)StringDie ID des Roboterkontos, die sie löschen wollen.

Antworten​

204 Erfolg​

Das angegebene Roboterkonto wird aus der Organisation gelöscht.

Beispielanforderung​

Angenommen, Sie haben alle Informationen gesammelt, die zum Erstellen des API-Aufrufs erforderlich sind.

Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):

curl --location --request DELETE 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request DELETE 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
  • API-Endpunkt​
  • Scopes​
  • Anforderungsheader​
  • Pfadparameter​
  • Antworten​
  • 204 Erfolg​
  • Beispielanforderung​

War diese Seite hilfreich?

Verbinden

Benötigen Sie Hilfe? Support

Möchten Sie lernen? UiPath Academy

Haben Sie Fragen? UiPath-Forum

Auf dem neuesten Stand bleiben